use_inline_resources
include MegaRaid::Helper
action :create do
  # puts "MJS - #{new_resource.config}"
  if !already_configured_as_such new_resource.config
    if disks_unclean new_resource.config['disks']
      exec_mega_cli "-PDMakeGood -PhysDrive[#{lookupPhysDrive(new_resource.config['disks'])}] -a#{new_resource.config['adapter']}"
    end
    raid_type = new_resource.config['type'][0]
    raid_type += new_resource.config['level'] if raid_type.eql? 'r'
    args = "-CfgLdAdd -#{raid_type} "
    args = '-PDMakeJBOD ' if raid_type.eql? 'j'
    args += "[#{lookupPhysDrive(new_resource.config.adapter, new_resource.config.disks)}] "
    args += "#{new_resource.config['arrayOpts']} " if new_resource.config.key? 'arrayOpts'
    args += "-a#{new_resource.config['adapter']} "
    # execMegaCLI args
    new_resource.updated_by_last_action(true) if execMegaCLI args
  else
    new_resource.updated_by_last_action(false)
  end

  # [root@spengler Linux]# /opt/MegaRAID/MegaCli/MegaCli64 -CfgLdAdd -r5 [252:0,252:1,252:2] WB RA Direct -a0
end
action :destroy do
  # puts "MJS - #{new_resource}"

  new_resource.updated_by_last_action(true) if execMegaCLI args
end
